# @source http://www.president.az/pages/7/print
holidays:
  AZ:
    names:
      az: Azərbaycan Respublikası
      en: Azerbaijan
    dayoff: sunday
    weekend:
      - saturday
      - sunday
    zones:
      - Asia/Baku
    langs:
      - az
    days:
      01-01 and if saturday then next monday if sunday then next tuesday:
        substitute: true
        _name: 01-01
      01-02 and if saturday then next monday if sunday then next tuesday:
        substitute: true
        _name: 01-01
      01-20:
        name:
          az: Qara Yanvar
          en: Martyrs' Day
        type: observance
      03-08 and if saturday,sunday then next monday:
        substitute: true
        _name: 03-08
      03-20:
        name:
          az: Novruz
          en: Spring Festival
        active:
          - from: 2011
      05-09 and if saturday,sunday then next monday:
        substitute: true
        name:
          az: Faşizm üzərində qələbə günü
          en: Day of Victory over Fascism
      05-28 and if saturday,sunday then next monday:
        substitute: true
        name:
          az: Respublika günü
          en: Republic Day
      06-15 and if saturday,sunday then next monday:
        substitute: true
        name:
          az: Azərbaycan xalqının Milli Qurtuluş günü
          en: National Salvation Day
      06-26 and if saturday,sunday then next monday:
        substitute: true
        name:
          az: Azərbaycan Respublikasının Silahlı Qüvvələri günü
          en: Azerbaijan Armed Forces Day
      10-18 and if saturday,sunday then next monday:
        substitute: true
        name:
          az: Dövlət Müstəqilliyi günü
          en: Independence Day
      11-09 and if saturday,sunday then next monday:
        substitute: true
        name:
          az: Dövlət Bayrağı günü
          en: Flag Day
      11-12:
        name:
          az: Konstitusiya günü
          en: Constitution Day
      11-17:
        name:
          az: Milli Dirçəliş günü
          en: National Revival Day
      12-31 and if saturday,sunday then next monday:
        substitute: true
        name:
          az: Dünya azərbaycanlıların həmrəyliyi günü
          en: International Solidarity Day of Azerbaijanis
      1 Shawwal and if saturday then next monday if sunday then next tuesday:
        substitute: true
        _name: 1 Shawwal
      2 Shawwal and if saturday then next monday if sunday then next tuesday:
        substitute: true
        _name: 1 Shawwal
      10 Dhu al-Hijjah and if saturday then next monday if sunday then next tuesday:
        substitute: true
        _name: 10 Dhu al-Hijjah
      11 Dhu al-Hijjah and if saturday then next monday if sunday then next tuesday:
        substitute: true
        _name: 10 Dhu al-Hijjah
    # states:
      # ABS:
      #   name: Absheron
      # AGA:
      #   name: Agstafa
      # AGC:
      #   name: Aghjabadi
      # AGM:
      #   name: Agdam
      # AGS:
      #   name: Agdash
      # AGU:
      #   name: Agsu
      # AST:
      #   name: Astara
      # BA:
      #   name: Baku
      # BAL:
      #   name: Balakan
      # BAR:
      #   name: Barda
      # BEY:
      #   name: Beylagan
      # BIL:
      #   name: Bilasuvar
      # CAB:
      #   name: Jabrayil
      # CAL:
      #   name: Jalilabad
      # DAS:
      #   name: Dashkasan
      # FUZ:
      #   name: Fizuli
      # GA:
      #   name: Ganja
      # GAD:
      #   name: Gadabay
      # GOR:
      #   name: Goranboy
      # GOY:
      #   name: Goychay
      # GYG:
      #   name: Goygol
      # HAC:
      #   name: Hajigabul
      # IMI:
      #   name: Imishli
      # ISM:
      #   name: Ismailli
      # KAL:
      #   name: Kalbajar
      # KUR:
      #   name: Kurdamir
      # LA:
      #   name: Lankaran
      # LAC:
      #   name: Lachin
      # LAN:
      #   name: Lankaran District
      # LER:
      #   name: Lerik
      # MAS:
      #   name: Masally
      # MI:
      #   name: Mingachevir
      # NA:
      #   name: Naftalan
      # NEF:
      #   name: Neftchala
      # NX:
      #   name: Nakhchivan AR
      #   regions:
      #     BAB:
      #       name: Babek
      #     CUL:
      #       name: Julfa
      #     KAN:
      #       name: Kangarli
      #     NV:
      #       name: Nakhchivan
      #     ORD:
      #       name: Ordubad
      #     SAD:
      #       name: Sadarak
      #     SAH:
      #       name: Shahbuz
      #     SAR:
      #       name: Sharur
      # OGU:
      #   name: Oghuz
      # QAB:
      #   name: Qabala
      # QAX:
      #   name: Qakh
      # QAZ:
      #   name: Qazakh
      # QBA:
      #   name: Quba
      # QBI:
      #   name: Qubadli
      # QOB:
      #   name: Gobustan
      # QUS:
      #   name: Qusar
      # SA:
      #   name: Shaki
      # SAB:
      #   name: Sabirabad
      # SAK:
      #   name: Shaki District
      # SAL:
      #   name: Salyan
      # SAT:
      #   name: Saatly
      # SBN:
      #   name: Shabran
      # SIY:
      #   name: Siazan
      # SKR:
      #   name: Shamkir
      # SM:
      #   name: Sumqayit
      # SMI:
      #   name: Shamakhi
      # SMX:
      #   name: Samukh
      # SR:
      #   name: Shirvan
      # SUS:
      #   name: Shusha
      # TAR:
      #   name: Tartar
      # TOV:
      #   name: Tovuz
      # UCA:
      #   name: Ujar
      # XA:
      #   name: Stepanakert
      # XAC:
      #   name: Khachmaz
      # XCI:
      #   name: Khojali
      # XIZ:
      #   name: Khizi
      # XVD:
      #   name: Khojavend
      # YAR:
      #   name: Yardymli
      # YE:
      #   name: Yevlakh
      # YEV:
      #   name: Yevlakh District
      # ZAN:
      #   name: Zangilan
      # ZAQ:
      #   name: Zaqatala
      # ZAR:
      #   name: Zardab
